<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

// backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


// lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

// $wp_customize->add_setting(
//     'about_areaTpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'about_areaTpadding',
//     array(
//         'settings'      => 'about_areaTpadding',
//         'section'       => 'about_area',
//         'type'          => 'text',
//         'label'         => __( 'Top', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_setting(
//     'about_areaBpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'about_areaBpadding',
//     array(
//         'settings'      => 'about_areaBpadding',
//         'section'       => 'about_area',
//         'type'          => 'text',
//         'label'         => __( 'Bottom', 'luzuk-premium' )
//     )
// );



lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Left Side');


$wp_customize->add_setting(
    'abtimg_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Professional', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abtimg_title',
    array(
        'settings'      => 'abtimg_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Image Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_imgtitleclr', 'about_area', 'Image Title Color ', '#fff');


$wp_customize->add_setting(
    'abtimg_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Services', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abtimg_subtitle',
    array(
        'settings'      => 'abtimg_subtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Image Sub Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_imgsubtitleclr', 'about_area', 'Image Sub Title Color ', '#fff');


$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 510X768', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_imgbg1', 'about_area', 'Image BG Color 1', '#009ECD');

addColorPalatOption($wp_customize, 'about_imgbg2', 'about_area', 'Image BG Color 2', '#000');

addColorPalatOption($wp_customize, 'about_imgbrdclr', 'about_area', 'Image Border Color ', '#fff');

lzCustomLable($wp_customize, 'about_title_heading', 'about_area', 'Right Side');

lzCustomLable($wp_customize, 'about_detail_Bx', 'about_area', 'Detail Box');

$wp_customize->add_setting(
    'dbx_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'My Information', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'dbx_title',
    array(
        'settings'      => 'dbx_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Detail Box Title', 'luzuk-premium' )
    )
);

//01
$wp_customize->add_setting(
    'name_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Name:', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'name_tle',
    array(
        'settings'      => 'name_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Name Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'name_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'John Smith', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'name_d',
    array(
        'settings'      => 'name_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Name Detail', 'luzuk-premium' )
    )
);

//02
$wp_customize->add_setting(
    'eml_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Email:', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'eml_tle',
    array(
        'settings'      => 'eml_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Email Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'eml_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'John404@gmail.com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'eml_d',
    array(
        'settings'      => 'eml_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'luzuk-premium' )
    )
);

//03
$wp_customize->add_setting(
    'ph_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone:', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ph_tle',
    array(
        'settings'      => 'ph_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Phone Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'ph_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(123) - 456-7890', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ph_d',
    array(
        'settings'      => 'ph_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);

//04
$wp_customize->add_setting(
    'date_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Date of birth:', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'date_tle',
    array(
        'settings'      => 'date_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Birth Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'date_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '23 February 1990', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'date_d',
    array(
        'settings'      => 'date_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Birth Date', 'luzuk-premium' )
    )
);

//05
$wp_customize->add_setting(
    'add_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address: ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'add_tle',
    array(
        'settings'      => 'add_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Address Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'add_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'PO Box 16122 Collins Street West,', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'add_d',
    array(
        'settings'      => 'add_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Address Detail', 'luzuk-premium' )
    )
);


//06
$wp_customize->add_setting(
    'nati_tle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Natinality: ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nati_tle',
    array(
        'settings'      => 'nati_tle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Natinality Title', 'luzuk-premium' )
    )
);

////////
$wp_customize->add_setting(
    'nati_d',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'PO Box 16122 Collins Street West,', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nati_d',
    array(
        'settings'      => 'nati_d',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Natinality Detail', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtSec_delsbx', 'about_area' , 'Details Box Color');

addColorPalatOption($wp_customize, 'about_delstitl', 'about_area', 'Details Box Title Color', '#009ECD');

addColorPalatOption($wp_customize, 'about_delstitlbrd', 'about_area', 'Details Box Title Border Color', '#009ECD');

addColorPalatOption($wp_customize, 'about_delsbxlistitle', 'about_area', 'Details Box List Title Color', '#000');

addColorPalatOption($wp_customize, 'about_delsbxlistxt', 'about_area', 'Details Box List Text Color', '#4a4a4a');

addColorPalatOption($wp_customize, 'about_delsbxlistxthv', 'about_area', 'Details Box List Email & Phone Hover Color', '#009ECD');

addColorPalatOption($wp_customize, 'about_delsbxlisbrd', 'about_area', 'Details Box List Border Color', '#ebebeb');


// ////////////
lzCustomLable($wp_customize, 'abtSec_infombx', 'about_area' , 'Information Box');

$wp_customize->add_setting(
    'nfbx_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Me', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nfbx_title',
    array(
        'settings'      => 'nfbx_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Information Box Title', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'nbxtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by slightly believable.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nbxtxt',
    array(
        'settings'      => 'nbxtxt',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Information Box Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'nbxlist',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Our solutions are tested.</li> <li>Leverage experience in shipping.</li> <li>Proven, and best-in class</li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nbxlist',
    array(
        'settings'      => 'nbxlist',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Information Box List ', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'abtSec_secclr', 'about_area' , 'Information Box Color');

addColorPalatOption($wp_customize, 'about_Informationbx', 'about_area', 'Information Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'about_Informationbxbrd', 'about_area', 'Information Box Border Color', '#FEF6F4');

addColorPalatOption($wp_customize, 'about_bx1icn', 'about_area', 'List Icon Color', '#000');

addColorPalatOption($wp_customize, 'about_bx1icntitle', 'about_area', 'List Icon Title Color', '#262626');

lzCustomLable($wp_customize, 'abtSec_signimg', 'about_area' , 'Sign Image');

$wp_customize->add_setting(
    'sign_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sign_image',
        array(
            'section' => 'about_area',
            'settings' => 'sign_image',
            'description' => __('Recommended Image Size: 122X56', 'luzuk-premium')
        )
    )
);


lzCustomLable($wp_customize, 'abtSec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtSec_btns', 'about_area' , 'Button Color');

addColorPalatOption($wp_customize, 'abtdec_btntxtclr', 'about_area', 'Button Text Color', '#232323');

addColorPalatOption($wp_customize, 'abtdec_btntxthvclr', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnBGclr', 'about_area', 'Button BG Color', '#FFC107');

addColorPalatOption($wp_customize, 'abtdec_btnBGhvclr', 'about_area', 'Button BG Hover Color', '#000');
